Package twisted :: Package scripts :: Module conch :: Class SSHClientFactory |
[frames | no frames]

## Class SSHClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   SSHClientFactory

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
Inherited from ClientFactory
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.

Class Variable Summary
`int` | `noisy` = 1
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### stopFactory(self) This will be called before I stop listening on all Ports/Connectors. This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc. It will be called, for example, before an application shuts down, if it was connected to a port. Overrides: `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

Class Variable Details

    ### noisy Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net